Skip to main content
GET
/
stats
/
global
Get global platform statistics
curl --request GET \
  --url https://api.livesuite.app/stats/global \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "totalStreamers": 123,
    "liveStreamers": 123,
    "totalViewers": 123,
    "avgSessionDuration": 123,
    "sessionsToday": 123
  },
  "timestamp": "2024-01-15T10:30:00.000Z"
}

Authorizations

x-api-key
string
header
required

API key for API authentication

Query Parameters

chain
enum<string>
default:solana

Blockchain chain (solana for PumpFun, base for Zora/Retake, all for aggregated data from all)

Available options:
solana,
base,
all
platform
enum<string>
default:pumpfun

Platform (pumpfun for Solana, zora/retake for Base, all for aggregated data from all)

Available options:
pumpfun,
zora,
retake,
all

Response

Global platform statistics

success
boolean
Example:

true

data
object
timestamp
string<date-time>
Example:

"2024-01-15T10:30:00.000Z"